Subject: Re: RE: FW: SKB corruption on heavy traffic

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 30 Apr 2008 21:20:42 +0200

-------- Original-Nachricht --------
> Datum: Wed, 30 Apr 2008 14:03:02 +0100
> Von: "Franca, Jose (NSN - PT/Portugal - MiniMD)" <[email-masked]>
> An: "ext Gerhard Pircher" <[email-masked]>, "Scott Wood" <[email-masked]>
> CC: [email-masked], [email-masked]
> Betreff: RE: FW: SKB corruption on heavy traffic

> Hi!
> 
> 	There was a sugestion to change slab to slub alocation method... I > don't know quite well yet what is necessary to do this, but it seems that
> the current implementation of slub is more commonly available on 2.6
> kernels, not in 2.4 that I use :(...
> 	Any guesses or hints on this?
I'm using SLUB with kernel v2.6.25 and I still get data corruption on high
load. On the other side it is a good idea to enable SLAB debugging, as
Scott suggested. Maybe that sheds some light on this issue (even if most
of the network drivers make use of DMA).

regards,

Gerhard

> 
> Regards!
> Filipe.
> 
> -----Original Message-----
> From: ext Gerhard Pircher [mailto:[email-masked]] 
> Sent: quarta-feira, 30 de Abril de 2008 13:26
> To: Franca, Jose (NSN - PT/Portugal - MiniMD); Scott Wood
> Cc: [email-masked]; [email-masked]
> Subject: Re: FW: SKB corruption on heavy traffic
> 
> Hi,
> 
> I think I have the same problem here with all versions of the 2.6.x
> kernel series (tested with kernel v2.6.8/14/16/18/25 on a PPC7455 machine 
> with different PCI network cards by transferring a big file over
> NFS/SCP). Data corruption occurs under high load, but I don't get any
> kernel oops.
> 
> regards,
> 
> Gerhard

-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser